require "params_encoding/version"
require "base64"
require "jwt"

module ParamsEncoding
  class Error < StandardError; end

  def self.encode(options)
    raise 'Type error, currently only hash supported!' unless options.is_a?(Hash)
    token = JWT.encode options, nil, 'none'
    token
  end

  def self.decode(str)
    token = JWT.decode str, nil, false
    token
  end

end
